=== debian/changelog ===
ros-kinetic-jsk-interactive-marker (2.1.7-2xenial) xenial; urgency=high

  * set property for ccache if cmake version < 3.4 (#780 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/780>)
  * Remove meaningless lock (#750 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/750>)
  * add noetic test (#774 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/774>)
    
      * run 2to3 -f print
      * support noetic, use c++14, convert to package format 3
    
  * Contributors: Kei Okada, Ryohei Ueda, Yuki Furuta

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Sat, 17 Oct 2020 00:00:00 -0000

ros-kinetic-jsk-interactive-marker (2.1.6-2xenial) xenial; urgency=high

  * Remove unnecessary ROS_INFO (#755 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/755>)
  * Contributors: Yuto Uchimi

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 13 Apr 2020 00:00:00 -0000

ros-kinetic-jsk-interactive-marker (2.1.5-2xenial) xenial; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 18 Feb 2019 00:00:00 -0000

ros-kinetic-jsk-interactive-marker (2.1.4-2xenial) xenial; urgency=high

  * replace boost::shared_ptr by std::shared_ptr (#710 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/710>)
    * manual urdf typedefs
    * add headers for urdf shared_ptr typedefs
    * use 'isnan' from 'std' namespace
    * use urdf typedefs for shared_ptr
    * enable C++11
    * replace boost pointers by std pointers
  * Fix install destination (#717 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/717>)
    * Call USE_SOURCE_PERMISSIONS before PATTERN
    * Update comment about installation
    * Install 'scripts' into SHARE_DESTINATION
    * Add comment for install destination
    * Fix installation destination
  * fix typo in jsk_interactive_marker (#718 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/718>)
  * Remove newline and leading spaces from package.xml (#706 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/706>)
  * Explicitly resolve dependency for jsk_recognition_utils in package.xml (#699 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/699>)
  * Object 3d annotation using transformable interactive marker (#668 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/668>)
    * do not compile transformable_marker_operator.cpp for jsk_recognition_msgs < 1.2.0
    * need 1.2.0 of jsk_recognition_msgs for Objects.msg
    * Update for updated Object.msg
    * Make object array topic editable and searched automatically
    * Insert mesh models dynamically by rviz panel
    * Change interactive_mode using dynamic reconfigure
  * Contributors: Christian Rauch, Kei Okada, Kentaro Wada, Masaki Murooka, Shingo Kitagawa, Yuto Uchimi, Naoki Mizuno

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Thu, 01 Nov 2018 00:00:00 -0000

ros-kinetic-jsk-interactive-marker (2.1.3-2xenial) xenial; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Thu, 26 Oct 2017 00:00:00 -0000

ros-kinetic-jsk-interactive-marker (2.1.2-2xenial) xenial; urgency=high

  * [jsk_rviz_plugins][classification_result_visualizer] minor bugfix (#669 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/669>)
  * [jsk_interactive_marker] Install scripts in jsk_interactive_marker (#670 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/670>)
  * Contributors: Kei Okada, Kentaro Wada

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-kinetic-jsk-interactive-marker (2.1.1-2xenial) xenial; urgency=high

  * CMakeLists.txt: fix to support qt5
  * package.xml: remove pr2eus_moveit from dependency
  * Contributors: Yuki Furuta, Kei Okada

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Wed, 15 Feb 2017 00:00:00 -0000

ros-kinetic-jsk-interactive-marker (2.1.0-2xenial) xenial; urgency=high

  * migration to kinetic, which uses qt5 wehre as indig/jade uses qt4 (#662 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/662> )
  * Feature to transform markers in rviz (#661 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/661> )
    * Fix for same config in CMakeLists as jsk_rviz_pluginsTo fix error on hydro
    
      * Fix dependency of jsk_interactive_marker
      * Use throttle for ROS_ERROR
      * Move TransformableMarkerOperatorAction to jsk_interactive_marker
      * Update rviz for sample of transformable_markers
      * Use better marker size
      * Support transformation of dimension in transformable_markers_client
    
  * Add client node for transformable markers (only boxes) (#658 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/658> )
    * Add TODO to extend transformable_markers_client
    * Rename transformable_boxes_client -> transformable_markers_client
    * Add client node for transformable boxes
  * [maker_6dof] support mesh, publish pose topoic periodically ( #657 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/657> )
    * [jsk_interactive_marker/marker_6dof] add sample launch and doc.
    * [jsk_interactive_marker/src/marker_6dof] fix minor bug in line shape color setting.
    * [jsk_interactive_marker/src/marker_6dof] add option to select interactive marker size. default interactive marker size does not change.
    * [jsk_interactive_marker/src/marker_6dof] add option to publish pose periodically. default behavior does not change.
    * [jsk_interactive_marker/src/marker_6dof] supoort mesh as marker shape.
  * Fix #655 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/655> : fix frame_id of tf published by marker 6dof( #657 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/657> )
    * Stop using fixed frame_id_ for simplicity
    * Transform pose in feedback with expected frame_id
    * Check frame_id of pose before publishing as TF
    * marker_6dof: publish tf after transformed to frame_id_, update is published with fixed frame of rviz
  * Contributors: Kei Okada, Kentaro Wada, Masaki Murooka, Hiroto Mizohana

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 13 Feb 2017 00:00:00 -0000


