=== debian/control ===
Source: ros-kinetic-jsk-interactive-marker
Section: misc
Priority: optional
Maintainer: furuta <furuta@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), libtinyxml-dev, libyaml-cpp-dev, ros-kinetic-actionlib, ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-dynamic-reconfigure, ros-kinetic-dynamic-tf-publisher, ros-kinetic-eigen-conversions, ros-kinetic-geometry-msgs, ros-kinetic-interactive-markers, ros-kinetic-jsk-footstep-msgs, ros-kinetic-jsk-recognition-msgs (>= 1.2.0), ros-kinetic-jsk-recognition-utils, ros-kinetic-jsk-rviz-plugins, ros-kinetic-jsk-topic-tools, ros-kinetic-message-filters, ros-kinetic-message-generation, ros-kinetic-mk, ros-kinetic-moveit-msgs, ros-kinetic-rosbuild, ros-kinetic-roscpp, ros-kinetic-roseus, ros-kinetic-roslib, ros-kinetic-rviz, ros-kinetic-sensor-msgs, ros-kinetic-tf, ros-kinetic-tf-conversions, ros-kinetic-urdf, ros-kinetic-visualization-msgs
Homepage: http://ros.org/wiki/interactive_marker
Standards-Version: 3.9.2

Package: ros-kinetic-jsk-interactive-marker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtinyxml-dev, libyaml-cpp-dev, ros-kinetic-actionlib, ros-kinetic-dynamic-reconfigure, ros-kinetic-dynamic-tf-publisher, ros-kinetic-eigen-conversions, ros-kinetic-geometry-msgs, ros-kinetic-interactive-markers, ros-kinetic-jsk-footstep-msgs, ros-kinetic-jsk-recognition-msgs (>= 1.0.0), ros-kinetic-jsk-recognition-utils, ros-kinetic-jsk-rviz-plugins, ros-kinetic-jsk-topic-tools, ros-kinetic-message-filters, ros-kinetic-message-runtime, ros-kinetic-moveit-msgs, ros-kinetic-roscpp, ros-kinetic-roseus, ros-kinetic-roslib, ros-kinetic-rviz, ros-kinetic-sensor-msgs, ros-kinetic-tf, ros-kinetic-tf-conversions, ros-kinetic-urdf, ros-kinetic-visualization-msgs
Description: jsk interactive markers
